### Function

# Camel StoreSearchIndex new

since: 3.58

#### Declaration [src]

    CamelStoreSearchIndex*
    camel_store_search_index_new (
      void
    )

#### Description [src]

Creates a new `CamelStoreSearchIndex`. Free it with camel_store_search_index_unref(), when no longer needed.

Available since: 3.58

#### Return value

Type: `CamelStoreSearchIndex`

A new `CamelStoreSearchIndex`.

The caller of the function takes ownership of the data, and is responsible for freeing it.